<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <FrameLayout
        android:id="@+id/view_parent"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scrollbars="none" />

    <LinearLayout
        android:id="@+id/ll_loading"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/bg_accompany_loading"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <com.airbnb.lottie.LottieAnimationView
            android:id="@+id/view_loading_anim"
            android:layout_width="300dp"
            android:layout_height="200dp"
            android:layout_gravity="center"
            app:layout_constraintBottom_toBottomOf="@+id/iv_shop_car"
            app:layout_constraintLeft_toLeftOf="@+id/iv_shop_car"
            app:layout_constraintRight_toRightOf="@+id/iv_shop_car"
            app:lottie_autoPlay="false"
            app:lottie_imageAssetsFolder="lottie/accompany/images/"
            app:lottie_loop="true"
            app:lottie_rawRes="@raw/accompany_loading" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:text="加载中..."
            android:textColor="@color/white"
            android:textSize="@dimen/sp_18" />
    </LinearLayout>

    <ImageView
        android:id="@+id/iv_loading_back"
        android:visibility="gone"
        android:layout_marginTop="20dp"
        android:layout_marginStart="20dp"
        android:padding="14dp"
        android:src="@drawable/icon_back_arrow_white"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>
</FrameLayout>